# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define module_name grpclib

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{module_name}
Version:        0.4.7
Release:        %{mybuildnumber}%{?dist}
Summary:        Pure python GRPC library

License:        BSD
URL:            https://github.com/Rudd-O/%{module_name}
Source:         %{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is a GRPC library for Python written in pure Python.}

%description %_description

%package -n python3-%{module_name}
Summary:        %{summary}

%description -n python3-%{module_name} %_description

%prep
%autosetup -p1 -n %{module_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{module_name}


%check
true
# percent tox disabled, no -t in pyproject_buildrequires


%files -n python3-%{module_name} -f %{pyproject_files}
%{_bindir}/protoc-gen-grpclib_python
%{_bindir}/protoc-gen-python_grpc


%changelog
* Wed Feb 21 2024 Manuel Amador <rudd-o@rudd-o.com> 0.4.7-1
- First RPM packaging release
